Public Member Functions | Protected Attributes | Private Member Functions | List of all members
GreatWksGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (GreatWksGraph &pars, MWAWInputStreamPtr const &input, MWAWEntry const &entry)
| constructor More...
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
GreatWksGraph * | m_graphParser
| the graph parser More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a GreatWksGraph.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

GreatWksGraphInternal::SubDocument::SubDocument | ( | GreatWksGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWEntry const & | entry
| ) |  |
| inline

constructor

## ◆ ~SubDocument()

GreatWksGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [2/2]

GreatWksGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ operator!=()

bool GreatWksGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& GreatWksGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private delete

## ◆ parse()

void GreatWksGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType |
| ) |  |
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_graphParser

GreatWksGraph* GreatWksGraphInternal::SubDocument::m_graphParser
| protected

the graph parser

The documentation for this class was generated from the following file:

- GreatWksGraph.cxx